> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Ads Status

> By calling this endpoint, you will know if Google updated keyword data for the previous month.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/keywords_data/google_ads/status
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/google_ads/status:
    get:
      summary: Google Ads Status
      description: >-
        By calling this endpoint, you will know if Google updated keyword data
        for the previous month. Generally, Google updates keyword data in the
        middle of the month. So, if Google updated its data in October, you
        would be able to see the actual search volume, cost-per-click,
        competition, and other metrics for September. If Google didn’t update
        its data in October, the latest information would be available for
        August.
      operationId: get_dataforseo_keywords_data_google_ads_status
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: the data specified in the API call
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results
                  tasks.result.actual_data:
                    type: boolean
                    description: >-
                      indicates whether Google updated keyword data for the
                      previous month generally, Google updates keyword data in
                      the middle of the month if the value is true, Google
                      currently provides up-to-date data for the previous month
                      if the value is false, we are not able to provide data for
                      the previous month
                  tasks.result.date_update:
                    type: string
                    description: >-
                      date of the latest update of Google Ads data indicates the
                      latest date when Google updated search volume, CPC, and
                      other keyword metrics example: 2020-05-15
                  tasks.result.last_year_in_monthly_searches:
                    type: integer
                    description: the latest year for which search volume data is available
                  tasks.result.last_month_in_monthly_searches:
                    type: integer
                    description: the latest month for which search volume data is available
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````